xpra icon
Bug tracker and wiki

Opened 12 days ago

Closed 11 days ago

Last modified 11 days ago

#2908 closed defect (fixed)

xpra-html5 is missing required dependency python3-requests

Reported by: Florian Feldhaus Owned by: Antoine Martin
Priority: major Milestone: 4.1
Component: server Version: 4.0.x
Keywords: Cc:

Description

While rebuilding my Ubuntu Focal based docker images today (which use --no-install-recommends to not bloat the images with unnecessary dependencies), I got the following error message when running xpra with html on:

2020-10-17 21:02:57,228 Error: cannot import websocket connection handler:
2020-10-17 21:02:57,229  No module named 'requests'
2020-10-17 21:02:57,229  the html server will not be available

The issue was fixed by installing the python3-requests package which I would consider mandatory for xpra-html.

Change History (1)

comment:1 Changed 11 days ago by Antoine Martin

Resolution: fixed
Status: newclosed

This was solved in r27627 - see ticket:2877#comment:2

Last edited 11 days ago by Antoine Martin (previous) (diff)
Note: See TracTickets for help on using tickets.